std::ranges::dangling Struct Reference

`#include <ranges_base.h>`

## Public Member Functions

template<typename... _Args>
constexpr | dangling (_Args &&...) noexcept

## Detailed Description

Type returned by algorithms instead of a dangling iterator or subrange.

Definition at line 1093 of file ranges_base.h.

## Constructor & Destructor Documentation

## dangling()

template<typename... _Args>

std::ranges::dangling::dangling | ( | _Args && | ... | ) |

inline constexpr noexcept

Definition at line 1097 of file ranges_base.h.

The documentation for this struct was generated from the following file:

- ranges_base.h